import 'package:flutter/widgets.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:thesis_shop/models/remote_resource.dart';
import 'package:thesis_shop/stores/cart_store.dart';
import 'package:thesis_shop/stores/product_store.dart';

import 'product_service_mock.dart';

void main() {
  testWidgets('test cart store', (tester) async {
    final widgetTree = ProductStore(
      products: RemoteResource.finished(demoProducts),
      child: CartStoreImplementation(child: Container()),
    );
    await tester.pumpWidget(widgetTree);
    final cartStoreFinder = find.byType(CartStore);
    expect(cartStoreFinder, findsOneWidget);
    var cartStore = tester.widget<CartStore>(cartStoreFinder);
    cartStore.increaseAmount(demoProducts.first);
    await tester.pump();
    cartStore = tester.widget<CartStore>(cartStoreFinder);
    expect(cartStore.amountOfProduct(demoProducts.first), 1);
  });
}
