import 'package:flutter/material.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:thesis_shop/models/cart_item.dart';
import 'package:thesis_shop/models/remote_resource.dart';
import 'package:thesis_shop/screens/cart/total_price_text.dart';
import 'package:thesis_shop/stores/cart_store.dart';
import 'package:thesis_shop/stores/product_store.dart';
import 'package:thesis_shop/stores/user_store.dart';

import 'product_service_mock.dart';

void main() {
  testWidgets('test total price', (tester) async {
    final widgetTree = MaterialApp(
      home: UserStore(
        isSignedIn: false,
        setIsSignedIn: (_) {},
        child: ProductStore(
          products: RemoteResource.finished(demoProducts),
          child: CartStore(
            cartItems: [CartItem(product: demoProducts.first, amount: 1)],
            decreaseAmount: (_) {},
            increaseAmount: (_) {},
            child: const TotalPriceText(),
          ),
        ),
      ),
    );
    await tester.pumpWidget(widgetTree);
    final correctText = find.text("Gesamtpreis: 3.00€");
    expect(correctText, findsOneWidget);
  });
}
